Randolph Posted September 29, 2009 Posted September 29, 2009 For years, I have been using the following commands in my acad.lsp: (DEFUN C:C ()(COMMAND "_FILLET")) (DEFUN C:V ()(COMMAND "_CHAMFER")) This worked without any problems in acad 2000, 2002, 2004 and 2007. In acad 2009, I get the error message (quoting from my memory): unknown command: _fillet unknown command: _chamfer Though, using the buttons, the commands are written in the status line exactly the same way - and work exactly the same way. Who can help? Thanks a lot - I use these commands 2009 times a day. Quote
alanjt Posted September 29, 2009 Posted September 29, 2009 Are you able to create a command for anything else? (defun c:test (/) (command "line")) Does that work? Might need to repair your install. Quote
Randolph Posted September 29, 2009 Author Posted September 29, 2009 All other commands work just fine: ; 3D Orbit (DEFUN C:Q ()(COMMAND "_3DORBIT")) ; 2D-BASICS (DEFUN C:A ()(COMMAND "_DIST")) (DEFUN C:F ()(COMMAND "_AREA")) (DEFUN C:Y ()(COMMAND "_EXTEND")) (DEFUN C:R ()(COMMAND "_ROTATE")) (DEFUN C:L ()(COMMAND "_LINE")) (DEFUN C:PL ()(COMMAND "_PLINE")) (DEFUN C:RE ()(COMMAND "_RECTANGLE")) (DEFUN C:PE ()(COMMAND "_PEDIT")) (DEFUN C:M ()(COMMAND "_MIRROR")) (DEFUN C:X ()(COMMAND "_TRIM")) [color=red](DEFUN C:C ()(COMMAND "_FILLET"))[/color] [color=red](DEFUN C:V ()(COMMAND "_CHAMFER"))[/color] (DEFUN C:O ()(COMMAND "_OFFSET")) (DEFUN C:K ()(COMMAND "_CIRCLE")) (DEFUN C:B ()(COMMAND "_STRETCH")) (DEFUN C:D ()(COMMAND "_COPY")) (DEFUN C:T ()(COMMAND "_MOVE")) (DEFUN C:BL ()(COMMAND "_BLOCK")) (DEFUN C:LI ()(COMMAND "_LIST")) (DEFUN C:VA ()(COMMAND "_SCALE")) (DEFUN C:XX ()(COMMAND "_EXPLODE")) (DEFUN C:EG ()(COMMAND "_MATCHPROP")) (DEFUN C:SO ()(COMMAND "_SOLID")) (DEFUN C:TEI ()(COMMAND "_DIVIDE")) ; 3D-BASICS (DEFUN C:WA ()(COMMAND "_POLYSOLID")) (DEFUN C:QA ()(COMMAND "_BOX")) (DEFUN C:KU ()(COMMAND "_SPHERE")) (DEFUN C:CY ()(COMMAND "_CYLINDER")) (DEFUN C:EX ()(COMMAND "_EXTRUDE")) (DEFUN C:S ()(COMMAND "_SLICE")) (DEFUN C:UN ()(COMMAND "_UNION")) (DEFUN C:SE ()(COMMAND "_SUBTRACT")) (DEFUN C:DE ()(COMMAND "_INTERSECT")) (DEFUN C:R3 ()(COMMAND "_ROTATE3D")) (DEFUN C:M3 ()(COMMAND "_MIRROR3D")) (DEFUN C:SR ()(COMMAND "_SOLPROFIL")) ; DATEI ;(DEFUN C:OE ()(COMMAND "_ORIGEINFÜG")) (DEFUN C:OE ()(COMMAND "_PASTEORIG")) (DEFUN C:BER ()(COMMAND "_PURGE")) (DEFUN C:REG ()(COMMAND "_REGEN")) (DEFUN C:RDA ()(COMMAND "_REDRAWALL")) ; UCS (DEFUN C:BX ()(COMMAND "_UCS" "X")) (DEFUN C:BY ()(COMMAND "_UCS" "Y")) (DEFUN C:BZ ()(COMMAND "_UCS" "Z")) and so on ... Quote
Lee Mac Posted September 29, 2009 Posted September 29, 2009 Why are you using that? Why not just change the command aliases in the .pgp file? Go to Tools > Customise > Edit Program Parameters (acad.pgp) (might be different in other versions, but thats the order in 2010) Lee Quote
ReMark Posted September 29, 2009 Posted September 29, 2009 I can confirm that not only do the commands still exist but they also function just as you have shown them (command line version)... _chamfer _fillet Copied directly from the text screen in AutoCAD 2009: Command: _fillet Current settings: Mode = TRIM, Radius = 0.0000 Select first object or [undo/Polyline/Radius/Trim/Multiple]: Command: _chamfer (TRIM mode) Current chamfer Dist1 = 0.0000, Dist2 = 0.0000 Select first line or [undo/Polyline/Distance/Angle/Trim/mEthod/Multiple]: Quote
alanjt Posted September 29, 2009 Posted September 29, 2009 They both work for me too. Since everything except those 2 works, I'd go with the second option I suggested and repair your install. Quote
ReMark Posted September 30, 2009 Posted September 30, 2009 Somewhere along the line did you redefine the commands whilst doing some customisation? Quote
Randolph Posted September 30, 2009 Author Posted September 30, 2009 Hi, back again after a long day. Thanx for your comments. Lee Mac, I use the acad.lsp shortcut commands instead of the acad.pgp (as i did previously) for 2 reasons: 1.) The acad.lsp is much longer than the part shown and contains lots of commands like "dxm" (duplicate in x-direction multiple times), "rd" (rotate duplicate), "df" (duplicate without offset) or - as seen in another thread - "sx" (slice parallel to yz-plane, as well as copied commands like "heal" and the like. If anybody should be interested instead of bored, just tell me. 2.) the lsp overrules the pgp, so, if i get to a new computer, i just appload my lisp from my memory stick and things work the way i want them to (except for my own computer right now ...). according to my experience, the original pgp has to be renamed, my own pgp copied, restartet (?)and after work is done, everything to be rechanged again. This makes people nervous. ReMark, if I enter the commands, they work as well. Only with the shortcuts "v" and "c" i get the error message. (v stands for the edge, c for the round shape, x for the crossing, y for the extension ... all on the left side as well) My suspicion would have been something about the fact, that all other versions were german, and the one now is english. But - as the lisp commands are english anyway and work on your versions, this doesn't seem to be the point. Quote
alanjt Posted September 30, 2009 Posted September 30, 2009 Just so you know Randolph, with newer version of ACad, there is a user section at the bottom of the pgp file. ; -- User Defined Command Aliases -- ; Make any changes or additions to the default AutoCAD command aliases in ; this section to ensure successful migration of these settings when you ; upgrade to the next version of AutoCAD. If a command alias appears more ; than once in this file, items in the User Defined Command Alias take ; precedence over duplicates that appear earlier in the file. ; **********----------********** ; No xlate ; DO NOT REMOVE I actually make a little lisp routine that will edit my pgp with all my preferred command aliases. There is nothing wrong with what you are doing. I still think you need to repair. Quote
Randolph Posted October 1, 2009 Author Posted October 1, 2009 Hi alanjt, yes, i know, but if i leave the computer, the owner has all commands changed without me deleting them from the appendix. or do you start a routine for that, too? else, i just restart autocad, and all my traces are gone. Have no access to my computer with the described problem right now. But this one is mine, so I have the problem permanently. Quote
alanjt Posted October 1, 2009 Posted October 1, 2009 Hi alanjt, yes, i know, but if i leave the computer, the owner has all commands changed without me deleting them from the appendix. or do you start a routine for that, too? else, i just restart autocad, and all my traces are gone. Have no access to my computer with the described problem right now. But this one is mine, so I have the problem permanently. In my experience, if a person starts with an old computer (someone else had) they get a clean install. Even if that isn't an option, all customization files are stored in the Documents and Settings folder, pertaining to user login. The next person isn't going to use your login. As I said before, there's nothing wrong with what you are doing. I was just offering what I do. Quote
Randolph Posted October 1, 2009 Author Posted October 1, 2009 As I said before, there's nothing wrong with what you are doing. I was just offering what I do. That's how I understood it and I thank you. I just wanted to explain why I don't follow your advice in this case. In a professional environment, I guess you're perfectly right. Working here and there on this and that machine, I found my solution the easiest. Which doesn't necessarily mean that it really is. This brings me to another point, which I will treat in a new thread. Quote
alanjt Posted October 1, 2009 Posted October 1, 2009 That's how I understood it and I thank you. I just wanted to explain why I don't follow your advice in this case. In a professional environment, I guess you're perfectly right. Working here and there on this and that machine, I found my solution the easiest. Which doesn't necessarily mean that it really is. This brings me to another point, which I will treat in a new thread. Right on. Originally, I did it the same way, but I got tired of some working differently when called that way. Quote
Randolph Posted October 2, 2009 Author Posted October 2, 2009 Hi Alan, so we're back to your suggestion that I should repair my install. What exactly do you mean by that? I only know how to re-install - that's something I would love to avoid ... Quote
ReMark Posted October 2, 2009 Posted October 2, 2009 There should be a REPAIR option on your installation DVD. Quote
ReMark Posted October 2, 2009 Posted October 2, 2009 Check out this thread. Look at the last post on the first page. http://www.cadtutor.net/forum/showthread.php?t=22298 Quote
alanjt Posted October 2, 2009 Posted October 2, 2009 Start>Control Panel>Add or Remove Programs. Find your Acad install and click on Change/Remove. When it finally loads the window, you will have the option to Install, Uninstall or Repair. I really use acad more than the image states. That's Land Desktop and I'm a Civil 3D fanboy. Quote
ReMark Posted October 3, 2009 Posted October 3, 2009 Randolph: Any luck with the REPAIR option? Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.